<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title>Bootstrap Components</title>

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">


</head>
<body>

	<!-- navbar -->
	<nav class="navbar navbar-expand-lg navbar-light bg-light">
	  <a class="navbar-brand" href="#">Navbar</a>
	  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
	    <span class="navbar-toggler-icon"></span>
	  </button>
	  <div class="collapse navbar-collapse" id="navbarNav">
	    <ul class="navbar-nav">
	      <li class="nav-item active">
	        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link" href="#">Features</a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link" href="#">Pricing</a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link disabled">Disabled</a>
	      </li>
	    </ul>
	  </div>
	</nav>

	<!-- navbar -->
	<div class="jumbotron" style="height: 75vh;">
	  <h1 class="display-4">Hello, world!</h1>
	  <p class="lead">This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>
	  <hr class="my-4">
	  <p>It uses utility classes for typography and spacing to space content out within the larger container.</p>
	  <a class="btn btn-primary btn-lg" href="#" role="button">Learn more</a>
	</div>


	<!-- buttons -->
	<div class="m-5">
		<h1>Buttons</h1>
		<button class="btn btn-primary">Primary</button>
		<button class="btn btn-secondary">Secondary</button>
		<button class="btn btn-warning">Secondary</button>
		<button class="btn btn-success">Secondary</button>
		<button class="btn btn-info">Secondary</button>
		<button class="btn btn-dark">Secondary</button>
	</div>

	<!-- Lick -->
	<div class="m-5">
		<h1>Anchor Tags</h1>
		<a href="#" class="btn btn-success">Go to Profile</a>
	</div>

	<!-- Outlined Button -->
	<div class="m-5">
		<h1>Outlined Button</h1>
		<button class="btn btn-outline-primary">Outline</button>
		<button class="btn btn-outline-danger">Outline</button>
	</div>

	<!-- Button Sizes -->
	<div class="m-5">
		<h1>Button Sizes</h1>
		<button class="btn btn-outline-primary btn-lg">Outline</button>
		<button class="btn btn-outline-danger btn-sm">Outline</button>
	</div>

	<!-- Forms -->
	<div class="m-5">
		<h1>Forms</h1>
		<div class="row">
			<div class="col-10 col-md-6 mx-auto">
				<form class="border rounded p-4">
				  <div class="form-group">
				    <label for="exampleInputEmail1">Email address</label>
				    <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
				    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
				  </div>
				  <div class="form-group">
				    <label for="exampleInputPassword1">Password</label>
				    <input type="password" class="form-control" id="exampleInputPassword1">
				  </div>
				  <div class="form-group form-check">
				    <input type="checkbox" class="form-check-input" id="exampleCheck1">
				    <label class="form-check-label" for="exampleCheck1">Check me out</label>
				  </div>
				  <button type="submit" class="btn btn-dark text-light">Submit</button>
				</form>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<!-- Button trigger modal -->
	<button type="button" class="btn btn-primary d-block mx-auto" data-toggle="modal" data-target="#exampleModal">
	  Launch demo modal
	</button>

	<!-- Modal -->
	<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <h5 class="modal-title" id="exampleModalLabel">Forms</h5>
	        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	          <span aria-hidden="true">&times;</span>
	        </button>
	      </div>
	      <div class="modal-body">
	       	<form class="border rounded p-4">
	       	  <div class="form-group">
	       	    <label for="exampleInputEmail1">Email address</label>
	       	    <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
	       	    <!-- <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small> -->
	       	  </div>
	       	  <div class="form-group">
	       	    <label for="exampleInputPassword1">Password</label>
	       	    <input type="password" class="form-control" id="exampleInputPassword1">
	       	  </div>
	       	  <!-- <div class="form-group form-check">
	       	    <input type="checkbox" class="form-check-input" id="exampleCheck1">
	       	    <label class="form-check-label" for="exampleCheck1">Check me out</label>
	       	  </div> -->
	       	  <button type="submit" class="btn btn-primary">Submit</button>
	       	</form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
	        <button type="button" class="btn btn-primary">Save changes</button>
	      </div>
	    </div>
	  </div>
	</div>


	<!-- Carousel -->
	<div class="m-3">
		<dov class="row justify-content-center">
			<div class="column col-12 col-md-6">
				<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
				  <ol class="carousel-indicators">
				    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
				    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
				    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
				  </ol>
				  <div class="carousel-inner border border-primary">
				    <div class="carousel-item active">
				      <img src="https://media.npr.org/assets/img/2020/01/31/oishii-3_custom-9b5c5f7b97c7ab6e199b521b6471dfa28c433a01-s1100-c50.jpg" class="d-block w-100" alt="...">
				    </div>
				    <div class="carousel-item">
				      <img src="https://oldworldgardenfarms.com/wp-content/uploads/2020/01/how-to-grow-strawberries.jpg" class="d-block w-100" alt="...">
				    </div>
				    <div class="carousel-item">
				      <img src="https://sugartownstrawberries.com/-Images/FreshPickedLocalStrawberries.jpg" class="d-block w-100" alt="...">
				    </div>
				  </div>
				  <button class="carousel-control-prev" type="button" data-target="#carouselExampleIndicators" data-slide="prev">
				    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
				    <span class="sr-only">Previous</span>
				  </button>
				  <button class="carousel-control-next" type="button" data-target="#carouselExampleIndicators" data-slide="next">
				    <span class="carousel-control-next-icon" aria-hidden="true"></span>
				    <span class="sr-only">Next</span>
				  </button>
				</div>
			</div>
		</dov>
	</div>
	

		<!-- Cards using Flex -->
		<h1 class="m-5 text-center">Flex</h1>
		<div class="m-3 d-flex justify-content-center">
			<div class="card mx-auto" style="width: 18rem;">
			  <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="card-img-top" alt="...">
			  <div class="card-body">
			    <h5 class="card-title">Card title</h5>
			    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
			    <a href="#" class="btn btn-primary">Go somewhere</a>
			  </div>
			</div>

			<div class="card mx-auto" style="width: 18rem;">
			  <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="card-img-top" alt="...">
			  <div class="card-body">
			    <h5 class="card-title">Card title</h5>
			    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
			    <a href="#" class="btn btn-primary">Go somewhere</a>
			  </div>
			</div>
		</div>

		<!-- cards grid system -->
		<div class="container">
			<h1 class="text-center">Grid System</h1>
			<div class="row">
				<div class="col-12 col-md-6">
					<div class="card mx-auto" style="width: 18rem;">
					  <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="card-img-top" alt="...">
					  <div class="card-body">
					    <h5 class="card-title">Card title</h5>
					    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
					    <a href="#" class="btn btn-primary">Go somewhere</a>
					  </div>
					</div>
				</div>


				<div class="col-12 col-md-6">
					<div class="card mx-auto" style="width: 18rem;">
					  <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="card-img-top" alt="...">
					  <div class="card-body">
					    <h5 class="card-title">Card title</h5>
					    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
					    <a href="#" class="btn btn-primary">Go somewhere</a>
					  </div>
					</div>
				</div>
			</div>
		</div>


		<div class="m-5">
			<h1>Embed a map</h1>
			<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3860.4100409860675!2d121.04148921525054!3d14.632650280212394!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3397b7f5db7f5e3f%3A0xe15d2d6a4453ed00!2sZuitt%20QC!5e0!3m2!1sen!2sph!4v1644905499652!5m2!1sen!2sph" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>

		</div>


	<div style="margin-top: 200px;"></div>

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>